Subject: Re: bug#56682: Fix the long lines font locking related slowdowns

From: Dmitry Gutov <[email-masked]>
Date: Sat, 13 Aug 2022 19:48:41 +0300

On 13.08.2022 09:13, Eli Zaretskii wrote:
>>> I can only repeat that the only ways to improve font locking in a non-local
>>> way (or at least, the only ways that were identified in the discussions so
>>> far) are either to improve the speed of syntax-ppss by an order of
>>> magnitude, in which case it would perhaps become feasible to allow
>>> syntax-ppss to have access to the whole buffer, or to equip syntax-ppss with
>>> heuristics to make it work "as well as possible" even when it only has
>>> access to a portion of the buffer.
>> But the locked narrowing is applied based on the presence of long-lines
>> rather than based on the total size of the buffer.
> That's true, but the two are closely related: a buffer with very long
> lines tends also to be a large buffer.
> 

The long-line related problems start to become noticeable much earlier 
than the buffer becomes "large".